Pular para o conteúdo principal
GET
/
api
/
v1
/
siloc
/
relay
/
status
Obter o status do relay do domínio de cartões
curl --request GET \
  --url https://siloc.sandbox.lerian.net/api/v1/siloc/relay/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://siloc.sandbox.lerian.net/api/v1/siloc/relay/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://siloc.sandbox.lerian.net/api/v1/siloc/relay/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cardSettlementBlocked": true,
  "lagMessages": 123,
  "lastRelayedAt": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Resposta

OK

cardSettlementBlocked
boolean
obrigatório

True when the relay is down and the card product cannot reach SILOC.

health
enum<string>
obrigatório

The card-domain relay's health.

Opções disponíveis:
HEALTHY,
DEGRADED,
DOWN
lagMessages
integer<int64>

Approximate number of buffered/undelivered relayed messages.

lastRelayedAt
string<date-time>

When the most recent frame was relayed; omitted when nothing has been relayed.